*
* GDI+ Intro Part 3
*
* Example 3 - drawing bitmap from scratch
*
#include ffc/gdiplus.h

* Initialise GDI+
createobject('ReportListener')

* Create a new bitmap 320x200 pixels
local oNewBitmap as GpBitmap of ffc/_gdiplus.vcx
oNewBitmap = newobject('GpBitmap', 'ffc/_gdiplus.vcx')
oNewBitmap.Create(320,200)

* Draw black border around using SetPixel
local x,y
for x = 0 to 319
	oNewBitmap.SetPixel(m.x,0,0xFF000000)
	oNewBitmap.SetPixel(m.x,199,0xFF000000)
endfor
for y = 1 to 318
	oNewBitmap.SetPixel(0,m.y,0xFF000000)
	oNewBitmap.SetPixel(319,m.y,0xFF000000)
endfor
	



* and draw on it
local oBmpGraphics as GpGraphics of ffc/_gdiplus.vcx ;
	, oBrush as GpSolidBrush of ffc/_gdiplus.vcx
oBmpGraphics = newobject('GpGraphics', 'ffc/_gdiplus.vcx')
oBmpGraphics.CreateFromImage(m.oNewBitmap)
* Fill with Yellow, then draw Red triangle on top
oBmpGraphics.Clear( 0xFFFFFF00)

* Draw black border around using SetPixel
local x,y
for x = 0 to 319
	oNewBitmap.SetPixel(m.x,0,0xFF000000)
	oNewBitmap.SetPixel(m.x,199,0xFF000000)
endfor
for y = 1 to 318
	oNewBitmap.SetPixel(0,m.y,0xFF000000)
	oNewBitmap.SetPixel(319,m.y,0xFF000000)
endfor

oBrush = newobject('GpSolidBrush', 'ffc/_gdiplus.vcx','',0xFF990000)
local aTriangle[3,2]
aTriangle[1,1] = 160
aTriangle[1,2] = 30
aTriangle[2,1] = 80
aTriangle[2,2] = 170
aTriangle[3,1] = 240
aTriangle[3,2] = 170
oBmpGraphics.FillPolygon(m.oBrush,@aTriangle)

* Save it as a GIF
oNewBitmap.SaveToFile( 'triangle.gif','image/gif')



