*
* GDI+ Intro Part 3
*
* Example 1 - loading and saving images, GetThumbnailImage
*
#include ffc/gdiplus.h

* Initialise GDI+
createobject('ReportListener')

* Loading a bitmap into memory
local oPhoto as GpImage of ffc/_gdiplus.vcx
oPhoto = newobject('GpImage', 'ffc/_gdiplus.vcx')
oPhoto.CreateFromFile( 'zoephoto.jpg' )

* Create a thumbnail image
local oThumbnail as GpBitmap of ffc/_gdiplus.vcx
oThumbnail = oPhoto.GetThumbnailImage( 40, 120 )

* Save the thumbnail to a file with default options
oThumbnail.SaveToFile( 'zoethumb1.jpg','image/jpeg' )

* Save with no compression
oThumbnail.SaveToFile( 'zoethumb2.jpg', 'image/jpeg', 'quality=100' )

